| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2605.cpp File Reference
Digital-to-Analog Converters (DAC) » LTC2605: Octal 16-/14-/12-Bit Rail-to Rail DACs in 16-Lead SSOP

Library for LTC2605: Octal 16-/14-/12-Bit Rail-to Rail DACs in 16-Lead SSOP. More...

## Detailed Description

Library for LTC2605: Octal 16-/14-/12-Bit Rail-to Rail DACs in 16-Lead SSOP.

Definition in file LTC2605.cpp.

Go to the source code of this file.

## Functions
int8_t | LTC2605_write (uint8_t i2c_address, uint8_t dac_command, uint8_t dac_address, uint16_t dac_code)
| Write a 16-bit dac_code to the LTC2605. More...
uint16_t | LTC2605_voltage_to_code (float dac_voltage, float LTC2605_lsb, int16_t LTC2605_offset)
| Calculate a LTC2605 DAC code given the desired output voltage. More...
float | LTC2605_code_to_voltage (uint16_t dac_code, float LTC2605_lsb, int16_t LTC2605_offset)
| Calculate the LTC2605 DAC output voltage given the DAC code, offset, and LSB value. More...

## Function Documentation

## ◆ LTC2605_code_to_voltage()

float LTC2605_code_to_voltage | ( | uint16_t | dac_code,
|  | float | LTC2605_lsb,
|  | int16_t | LTC2605_offset
| ) |  |

Calculate the LTC2605 DAC output voltage given the DAC code, offset, and LSB value.

Returns
  Calculated voltage

Parameters

  dac_code | DAC code
  LTC2605_lsb | LSB value
  LTC2605_offset | Offset

Definition at line 98 of file LTC2605.cpp.

## ◆ LTC2605_voltage_to_code()

uint16_t LTC2605_voltage_to_code | ( | float | dac_voltage,
|  | float | LTC2605_lsb,
|  | int16_t | LTC2605_offset
| ) |  |

Calculate a LTC2605 DAC code given the desired output voltage.

Returns
  The 16-bit code to send to the DAC

Parameters

  dac_voltage | Voltage to send to DAC
  LTC2605_lsb | LSB value
  LTC2605_offset | Offset

Definition at line 85 of file LTC2605.cpp.

## ◆ LTC2605_write()

int8_t LTC2605_write | ( | uint8_t | i2c_address,
|  | uint8_t | dac_command,
|  | uint8_t | dac_address,
|  | uint16_t | dac_code
| ) |  |

Write a 16-bit dac_code to the LTC2605.

Returns
  ACK bit (0=acknowledge, 1=no acknowledge)

Parameters

  i2c_address | I2C address of DAC
  dac_command | Command Nibble, left-justified, lower nibble set to zero
  dac_address | DAC Address Nibble, right justified, upper nibble set to zero
  dac_code | 16-bit DAC code

Definition at line 76 of file LTC2605.cpp.